Bug 493005 - Regression: SSH / telnet fails to start on Z series , libwrap.so.0: cannot open shared object file
Regression: SSH / telnet fails to start on Z series , libwrap.so.0: cannot op...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.8
s390 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Martin Sivák
Release Test Team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 04:59 EDT by Wade Mealing
Modified: 2011-01-24 18:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
possible fix (1.35 KB, patch)
2009-03-31 05:49 EDT, Joel Andres Granados
no flags Details | Diff

  None (edit)
Description Wade Mealing 2009-03-31 04:59:36 EDT
Description of problem:

When doing an initial install:

z/Vm Console log of installation error.

Starting telnetd and sshd to allow login over the network.
/sbin/xinetd: error while loading shared libraries: libwrap.so.0: cannot open shared object file: No
such file or directory
/sbin/sshd: error while loading shared libraries: libwrap.so.0: cannot open shared object file: No
such file or directory

At this point you can not ssh into the server to complete the install.

Version-Release number of selected component (if applicable):

GA Snapshot1 - re20090319.0

How reproducible:

Every time

Steps to Reproduce:
1. Do a z/VM network install
2. Start the network when prompted.

Actual results:


Starting telnetd and sshd to allow login over the network.
/sbin/xinetd: error while loading shared libraries: libwrap.so.0: cannot open shared object file: No
such file or directory
/sbin/sshd: error while loading shared libraries: libwrap.so.0: cannot open shared object file: No
such file or directory


Expected results:

Network to start, so install can be continued.

Additional info:

It looks as though (I dont have shell on the machine with the problem), libwrap does not exist.  As a byproduct of moving libwrap ( https://bugzilla.redhat.com/show_bug.cgi?id=489716 ), the anaconda mk-images script no longer points to the correct location.

scripts/mk-images

Line 517: 
               $IMGPATH/usr/$LIBDIR/libwrap*.so* \

Should probably be:

               $IMGPATH/$LIBDIR/libwrap*.so* \


And also possibly upd-instroot 

Line 468:

usr/$LIBDIR/libwrap.so*

should be

$LIBDIR/libwrap.so*

I dont have easy access s390 machine that I can easily network boot to test this theory.
Comment 2 Wade Mealing 2009-03-31 05:38:02 EDT
Similar to https://bugzilla.redhat.com/show_bug.cgi?id=473955
Comment 3 Joel Andres Granados 2009-03-31 05:49:34 EDT
Created attachment 337288 [details]
possible fix

I guess this is the patch for this issue.
Comment 4 RHEL Product and Program Management 2009-03-31 05:58:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Martin Sivák 2009-03-31 06:34:24 EDT
Will be included in anaconda-10.1.1.103
Comment 11 Brock Organ 2009-04-03 11:47:28 EDT
verified fix using RHEL4-U8-re20090401.0 for both s390-AS and s390x-AS ...
Comment 14 errata-xmlrpc 2009-05-18 16:15:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0978.html

Note You need to log in before you can comment on or make changes to this bug.